site_name: JakestUS
repo_url: https://git.jakest.us/jt/saitti
repo_name: jt/saitti
edit_uri: _edit/main/docs/
theme:
  name: material
  custom_dir: overrides
  icon:
    logo: material/home
    repo: simple/forgejo
    edit: fontawesome/solid/pencil 
    view: fontawesome/solid/eye
  features:
    - navigation.tabs
    - navigation.sections
    - navigation.path
    - navigation.indexes
    - content.code.copy
  palette:
    scheme: slate
    primary: amber
    accent: amber
extra:
  social:
    - icon: simple/mastodon
      link: https://bubbler.jakest.us/@jt
      name: Follow me on Mastodon
    - icon: simple/matrix
      link: https://matrix.to/#/@jt:neo.jakest.us
      name: Chat with me on Matrix
    - icon: simple/forgejo
      link: https://git.jakest.us
      name: My codings on git
extra_css:
  - extra.css
markdown_extensions:
  - admonition
  - pymdownx.details
  - pymdownx.highlight:
      anchor_linenums: true
      line_spans: __span
      pygments_lang_class: true
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.superfences
  - pymdownx.critic
  - pymdownx.caret
  - pymdownx.keys
  - pymdownx.mark
  - pymdownx.tilde
  - attr_list
  - def_list
  - pymdownx.tasklist:
      custom_checkbox: true
  - pymdownx.emoji:
      emoji_index: !!python/name:materialx.emoji.twemoji
      emoji_generator: !!python/name:materialx.emoji.to_svg
      options:
        custom_icons:
          - overrides/.icons
